#include "FontGlyph.h"

FontGlyph::FontGlyph(unsigned width, unsigned height, int bearingX, int bearingY,
        int advanceX, std::unique_ptr<Image<unsigned char> > image)
    : mImage(std::move(image)),
      mWidth(width),
      mHeight(height),
      mBearingX(bearingX),
      mBearingY(bearingY),
      mAdvanceX(advanceX)
{

}

Image<unsigned char>* FontGlyph::getImage() const
{
    return mImage.get();
}

unsigned FontGlyph::getWidth() const
{
    return mWidth;
}

unsigned FontGlyph::getHeight() const
{
    return mHeight;
}

int FontGlyph::getBearingX() const
{
    return mBearingX;
}

int FontGlyph::getBearingY() const
{
    return mBearingY;
}

int FontGlyph::getAdvanceX() const
{
    return mAdvanceX;
}
